import { Admin, AdminInviteDocument, AdminReInviteDocument, GetAccountRecentScoreHistoriesDocument, GetAccountRecentScoreHistoriesSimpleDocument, GetAdminAccountAverageNrrDocument, GetAdminAccountsWithUpcomingRenewalDocument, GetAdminAccountsWithUpcomingRenewalSimpleDocument, GetAdminTimeLineDocument, TeamMemberListDocument, TeamMemberListSimplifiedDocument } from '../API';
import { CRUDService, ICrudService, ServiceMutationHookOptions, ServiceQueryHookOptions, ServiceQueryOptions } from '../core';
export declare class AdminService extends CRUDService<Admin> {
    protected hasOneModels: ICrudService<Admin>['hasOneModels'];
    useInvite(options?: ServiceMutationHookOptions<typeof AdminInviteDocument>): import("@apollo/client").MutationTuple<import("../API").AdminInviteMutation, import("../API").Exact<{
        input: import("../API").AdminInput;
    }>, import("@apollo/client").DefaultContext, import("@apollo/client").ApolloCache<any>>;
    useReInvite(options?: ServiceMutationHookOptions<typeof AdminReInviteDocument>): import("@apollo/client").MutationTuple<import("../API").AdminReInviteMutation, import("../API").Exact<{
        input: import("../API").ReInviteAdminInput;
    }>, import("@apollo/client").DefaultContext, import("@apollo/client").ApolloCache<any>>;
    useListTimeline(options: ServiceQueryOptions<typeof GetAdminTimeLineDocument>): import("@apollo/client").QueryResult<import("../API").GetAdminTimeLineQuery, import("../API").Exact<{
        adminID: string;
        skip: number;
        sortOrder: string;
        take: number;
    }>>;
    useListTeamMemberList(options: ServiceQueryHookOptions<typeof TeamMemberListDocument>): {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").TeamMemberListQuery, import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>;
        data: import("../API").TeamMemberListQuery;
        previousData?: import("../API").TeamMemberListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").TeamMemberListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").TeamMemberListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(mapFn: (previousQueryResult: import("../API").TeamMemberListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").TeamMemberListQuery>, "variables">) => import("../API").TeamMemberListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").TeamMemberListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>, import("../API").TeamMemberListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").TeamMemberListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>;
        fetchMore: <TFetchData = import("../API").TeamMemberListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").TeamMemberListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").TeamMemberListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    queryTeamMemberListSimplified(options: ServiceQueryOptions<typeof TeamMemberListSimplifiedDocument>): Promise<import("@apollo/client").ApolloQueryResult<import("../API").TeamMemberListSimplifiedQuery>>;
    useListTeamMemberListSimplified(options: ServiceQueryHookOptions<typeof TeamMemberListSimplifiedDocument>): {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").TeamMemberListSimplifiedQuery, import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>;
        data: import("../API").TeamMemberListSimplifiedQuery;
        previousData?: import("../API").TeamMemberListSimplifiedQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").TeamMemberListSimplifiedQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").TeamMemberListSimplifiedQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(mapFn: (previousQueryResult: import("../API").TeamMemberListSimplifiedQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").TeamMemberListSimplifiedQuery>, "variables">) => import("../API").TeamMemberListSimplifiedQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").TeamMemberListSimplifiedQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>, import("../API").TeamMemberListSimplifiedQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").TeamMemberListSimplifiedQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>;
        fetchMore: <TFetchData = import("../API").TeamMemberListSimplifiedQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").TeamMemberListSimplifiedQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").TeamMemberListSimplifiedQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    useListAccountsWithRecentScoreChange(options: ServiceQueryOptions<typeof GetAccountRecentScoreHistoriesDocument>): import("@apollo/client").QueryResult<import("../API").GetAccountRecentScoreHistoriesQuery, import("../API").Exact<{
        adminID: string;
        organizationID: string;
        skip: number;
        take: number;
        scoreFilter: import("../API").AccountScoreHistoryValueFilter;
        sortByRenewalDate?: string;
    }>>;
    useListAccountsWithUpcomingRenewal(options: ServiceQueryOptions<typeof GetAdminAccountsWithUpcomingRenewalDocument>): import("@apollo/client").QueryResult<import("../API").GetAdminAccountsWithUpcomingRenewalQuery, import("../API").Exact<{
        adminID: string;
        organizationID: string;
        take: number;
        skip: number;
    }>>;
    useListAccountsWithRecentScoreChangeSimple(options: ServiceQueryOptions<typeof GetAccountRecentScoreHistoriesSimpleDocument>): import("@apollo/client").QueryResult<import("../API").GetAccountRecentScoreHistoriesSimpleQuery, import("../API").Exact<{
        adminID: string;
        organizationID: string;
        skip: number;
        take: number;
        scoreFilter: import("../API").AccountScoreHistoryValueFilter;
        sortByRenewalDate?: string;
    }>>;
    useListAccountsWithUpcomingRenewalSimple(options: ServiceQueryOptions<typeof GetAdminAccountsWithUpcomingRenewalSimpleDocument>): import("@apollo/client").QueryResult<import("../API").GetAdminAccountsWithUpcomingRenewalSimpleQuery, import("../API").Exact<{
        adminID: string;
        organizationID: string;
        take: number;
        skip: number;
    }>>;
    useGetNrrBYAdmin(options: ServiceQueryOptions<typeof GetAdminAccountAverageNrrDocument>): import("@apollo/client").QueryResult<import("../API").GetAdminAccountAverageNrrQuery, import("../API").Exact<{
        adminID: string;
        organizationID: string;
    }>>;
    get update(): (input: Partial<Record<"children" | "externalIDs" | "recordOwners" | "segments" | "organizations" | "signals" | "forms" | "eventLabelSessions" | "meetings" | "notes" | "responses" | "queuedAutomations" | "savedViews" | "dynamicHTMLTemplates" | "emailAlerts" | "internalCalls" | "ticketsCreateds" | "ticketsOwneds", import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<Admin>, import("../../..").ModelWithId>> & Omit<import("../API").UpdateAdminInput, "children" | "externalIDs" | "recordOwners" | "segments" | "organizations" | "signals" | "forms" | "eventLabelSessions" | "meetings" | "notes" | "responses" | "queuedAutomations" | "savedViews" | "dynamicHTMLTemplates" | "emailAlerts" | "internalCalls" | "ticketsCreateds" | "ticketsOwneds" | import("../core").HasOneRelationsOf<Admin>> & {
        id: string;
    }, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneAdminInput;
    }>>>) => Promise<{
        __typename?: "Admin";
        id: string;
        email: string;
        firstName?: string;
        lastName?: string;
        avatar?: string;
        role: import("../API").AdminRole;
        team?: import("../API").AdminTeams;
        teamRole?: import("../API").AdminTeamRoles;
        parentId?: string;
    }>;
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").AdminGetQuery>, "query">) => Promise<{
        __typename?: "Admin";
        id: string;
        avatar?: string;
        firstName?: string;
        lastName?: string;
        email: string;
    }>;
    get getSidebar(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").AdminGetSidebarQuery>, "query">) => Promise<{
        __typename?: "Admin";
        stats: any;
        teamManagementRollUpStatistics?: any;
        teamManagementStatistics?: any;
        id: string;
        firstName?: string;
        lastName?: string;
        email: string;
        avatar?: string;
        role: import("../API").AdminRole;
        team?: import("../API").AdminTeams;
        teamRole?: import("../API").AdminTeamRoles;
        isCurrentMember?: boolean;
        isEmailValid: boolean;
        title?: string;
        location?: string;
        bio?: string;
        parentId?: string;
        created_at: any;
        updated_at: any;
        children: {
            __typename?: "Admin";
            id: string;
            avatar?: string;
            email: string;
            firstName?: string;
            lastName?: string;
            role: import("../API").AdminRole;
            teamRole?: import("../API").AdminTeamRoles;
            team?: import("../API").AdminTeams;
            teamManagementStatistics?: any;
            teamManagementRollUpStatistics?: any;
        }[];
        parent?: {
            __typename?: "Admin";
            id: string;
            email: string;
            avatar?: string;
            firstName?: string;
            lastName?: string;
            role: import("../API").AdminRole;
            teamRole?: import("../API").AdminTeamRoles;
            team?: import("../API").AdminTeams;
        };
        organizations: {
            __typename?: "Organization";
            id: string;
            name: string;
            initials: string;
            organizationURL?: string;
            isCustomPortalEnabled?: boolean;
            defaultCSATCooldown?: number;
            defaultNPSCooldown?: number;
            hasLogos?: boolean;
            apiToken?: string;
            plans: {
                __typename?: "OrganizationPlan";
                id: string;
                name: import("../API").Plan;
            }[];
            teamProfile?: {
                __typename?: "TeamProfile";
                id: string;
                name?: string;
                image?: string;
                description?: string;
                alwaysUse?: boolean;
            };
        }[];
    }>;
    get useGetSidebar(): (options: ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminGetSidebarQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").AdminGetSidebarQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").AdminGetSidebarQuery;
        previousData?: import("../API").AdminGetSidebarQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").AdminGetSidebarQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").AdminGetSidebarQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").AdminGetSidebarQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").AdminGetSidebarQuery>, "variables">) => import("../API").AdminGetSidebarQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminGetSidebarQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").AdminGetSidebarQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminGetSidebarQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").AdminGetSidebarQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").AdminGetSidebarQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").AdminGetSidebarQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get getNeedStats(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").AdminGetNeedStatsQuery>, "query">) => Promise<{
        __typename?: "Admin";
        needStats?: any;
    }>;
    get useGetNeedStats(): (options: ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminGetNeedStatsQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").AdminGetNeedStatsQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").AdminGetNeedStatsQuery;
        previousData?: import("../API").AdminGetNeedStatsQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").AdminGetNeedStatsQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").AdminGetNeedStatsQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").AdminGetNeedStatsQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").AdminGetNeedStatsQuery>, "variables">) => import("../API").AdminGetNeedStatsQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminGetNeedStatsQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").AdminGetNeedStatsQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminGetNeedStatsQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").AdminGetNeedStatsQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").AdminGetNeedStatsQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").AdminGetNeedStatsQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").AdminFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AdminSort | import("../API").AdminSort[];
    }>, options?: ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminListQuery, import("../API").Exact<{
        filter?: import("../API").AdminFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AdminSort | import("../API").AdminSort[];
    }>>>) => Promise<{
        __typename?: "AdminConnection";
        totalCount: number;
        edges: {
            __typename?: "AdminEdge";
            cursor: any;
            node: {
                __typename?: "Admin";
                id: string;
                firstName?: string;
                lastName?: string;
                email: string;
                avatar?: string;
                role: import("../API").AdminRole;
                team?: import("../API").AdminTeams;
                teamRole?: import("../API").AdminTeamRoles;
                isCurrentMember?: boolean;
                isEmailValid: boolean;
                title?: string;
                location?: string;
                bio?: string;
                parentId?: string;
                created_at: any;
                updated_at: any;
                children: {
                    __typename?: "Admin";
                    id: string;
                    avatar?: string;
                    email: string;
                    firstName?: string;
                    lastName?: string;
                    role: import("../API").AdminRole;
                    teamRole?: import("../API").AdminTeamRoles;
                    team?: import("../API").AdminTeams;
                    teamManagementStatistics?: any;
                    teamManagementRollUpStatistics?: any;
                }[];
                parent?: {
                    __typename?: "Admin";
                    id: string;
                    email: string;
                    avatar?: string;
                    firstName?: string;
                    lastName?: string;
                    role: import("../API").AdminRole;
                    teamRole?: import("../API").AdminTeamRoles;
                    team?: import("../API").AdminTeams;
                };
                organizations: {
                    __typename?: "Organization";
                    id: string;
                    name: string;
                    initials: string;
                    organizationURL?: string;
                    isCustomPortalEnabled?: boolean;
                    defaultCSATCooldown?: number;
                    defaultNPSCooldown?: number;
                    hasLogos?: boolean;
                    apiToken?: string;
                    plans: {
                        __typename?: "OrganizationPlan";
                        id: string;
                        name: import("../API").Plan;
                    }[];
                    teamProfile?: {
                        __typename?: "TeamProfile";
                        id: string;
                        name?: string;
                        image?: string;
                        description?: string;
                        alwaysUse?: boolean;
                    };
                }[];
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminListQuery, import("../API").Exact<{
        filter?: import("../API").AdminFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AdminSort | import("../API").AdminSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").AdminListQuery, import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>;
        data: import("../API").AdminListQuery;
        previousData?: import("../API").AdminListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").AdminListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").AdminListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(mapFn: (previousQueryResult: import("../API").AdminListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").AdminListQuery>, "variables">) => import("../API").AdminListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>, import("../API").AdminListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>;
        fetchMore: <TFetchData = import("../API").AdminListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").AdminListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").AdminListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyList(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminListQuery, import("../API").Exact<{
        filter?: import("../API").AdminFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AdminSort | import("../API").AdminSort[];
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").AdminListQuery, import("../API").Exact<{
        filter?: import("../API").AdminFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AdminSort | import("../API").AdminSort[];
    }>>;
    get listMembers(): (input: import("../API").Exact<{
        filter?: import("../API").AdminFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AdminSort | import("../API").AdminSort[];
    }>, options?: ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminMemberListQuery, import("../API").Exact<{
        filter?: import("../API").AdminFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AdminSort | import("../API").AdminSort[];
    }>>>) => Promise<{
        __typename?: "AdminConnection";
        totalCount: number;
        edges: {
            __typename?: "AdminEdge";
            cursor: any;
            node: {
                __typename?: "Admin";
                id: string;
                firstName?: string;
                lastName?: string;
                email: string;
                avatar?: string;
                role: import("../API").AdminRole;
                team?: import("../API").AdminTeams;
                teamRole?: import("../API").AdminTeamRoles;
                isCurrentMember?: boolean;
                isEmailValid: boolean;
                title?: string;
                location?: string;
                bio?: string;
                parentId?: string;
                created_at: any;
                updated_at: any;
                children: {
                    __typename?: "Admin";
                    id: string;
                    avatar?: string;
                    email: string;
                    firstName?: string;
                    lastName?: string;
                    role: import("../API").AdminRole;
                    teamRole?: import("../API").AdminTeamRoles;
                    team?: import("../API").AdminTeams;
                    teamManagementStatistics?: any;
                    teamManagementRollUpStatistics?: any;
                }[];
                parent?: {
                    __typename?: "Admin";
                    id: string;
                    email: string;
                    avatar?: string;
                    firstName?: string;
                    lastName?: string;
                    role: import("../API").AdminRole;
                    teamRole?: import("../API").AdminTeamRoles;
                    team?: import("../API").AdminTeams;
                };
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useListMembers(): (options: import("../core").CacheUpdateOptions<ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminMemberListQuery, import("../API").Exact<{
        filter?: import("../API").AdminFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").AdminSort | import("../API").AdminSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").AdminMemberListQuery, import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>;
        data: import("../API").AdminMemberListQuery;
        previousData?: import("../API").AdminMemberListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").AdminMemberListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").AdminMemberListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(mapFn: (previousQueryResult: import("../API").AdminMemberListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").AdminMemberListQuery>, "variables">) => import("../API").AdminMemberListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminMemberListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>, import("../API").AdminMemberListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminMemberListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>;
        fetchMore: <TFetchData = import("../API").AdminMemberListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").AdminFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").AdminSort | import("../API").AdminSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").AdminMemberListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").AdminMemberListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useGet(): (options: ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AdminGetQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").AdminGetQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").AdminGetQuery;
        previousData?: import("../API").AdminGetQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").AdminGetQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").AdminGetQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").AdminGetQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").AdminGetQuery>, "variables">) => import("../API").AdminGetQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminGetQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").AdminGetQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").AdminGetQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").AdminGetQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").AdminGetQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").AdminGetQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useGetAdminTotalAccountsCurrentRevenue(): (options: ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GetAdminTotalAccountsCurrentRevenueQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetAdminTotalAccountsCurrentRevenueQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").GetAdminTotalAccountsCurrentRevenueQuery;
        previousData?: import("../API").GetAdminTotalAccountsCurrentRevenueQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetAdminTotalAccountsCurrentRevenueQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetAdminTotalAccountsCurrentRevenueQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").GetAdminTotalAccountsCurrentRevenueQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetAdminTotalAccountsCurrentRevenueQuery>, "variables">) => import("../API").GetAdminTotalAccountsCurrentRevenueQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminTotalAccountsCurrentRevenueQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").GetAdminTotalAccountsCurrentRevenueQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminTotalAccountsCurrentRevenueQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").GetAdminTotalAccountsCurrentRevenueQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetAdminTotalAccountsCurrentRevenueQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetAdminTotalAccountsCurrentRevenueQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyGetAdminTotalAccountsCurrentRevenue(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GetAdminTotalAccountsCurrentRevenueQuery, import("../API").Exact<{
        id: string;
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").GetAdminTotalAccountsCurrentRevenueQuery, import("../API").Exact<{
        id: string;
    }>>;
    get getProductEmails(): (input: import("../API").Exact<{
        id: string;
    }>, options?: ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GetAdminProductEmailsQuery, import("../API").Exact<{
        id: string;
    }>>>) => Promise<{
        __typename?: "Admin";
        id: string;
        eventLabelSessions?: {
            __typename?: "EventLabelSession";
            id: string;
            adminID: string;
            enabled: boolean;
            userID?: string;
            user?: {
                __typename?: "User";
                email?: string;
            };
        }[];
    }>;
    get useGetProductEmails(): (options: import("../core").CacheUpdateOptions<ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GetAdminProductEmailsQuery, import("../API").Exact<{
        id: string;
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").GetAdminProductEmailsQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").GetAdminProductEmailsQuery;
        previousData?: import("../API").GetAdminProductEmailsQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").GetAdminProductEmailsQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").GetAdminProductEmailsQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").GetAdminProductEmailsQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").GetAdminProductEmailsQuery>, "variables">) => import("../API").GetAdminProductEmailsQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminProductEmailsQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").GetAdminProductEmailsQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminProductEmailsQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").GetAdminProductEmailsQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").GetAdminProductEmailsQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").GetAdminProductEmailsQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyGetProductEmails(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").GetAdminProductEmailsQuery, import("../API").Exact<{
        id: string;
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").GetAdminProductEmailsQuery, import("../API").Exact<{
        id: string;
    }>>;
    get useCreateProductEmail(): (options?: import("../core").CacheUpdateOptions<ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CreateOneEventLabelSessionMutation, import("../API").Exact<{
        input: import("../API").CreateOneEventLabelSessionInput;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CreateOneEventLabelSessionMutation, import("../API").Exact<{
        input: import("../API").CreateOneEventLabelSessionInput;
    }>>, Admin>) => Promise<{
        __typename?: "EventLabelSession";
        userID?: string;
        id: string;
        adminID: string;
        code: string;
        enabled: boolean;
        organizationID: string;
        created_at: any;
        updated_at: any;
        admin?: {
            __typename?: "Admin";
            email: string;
        };
        user?: {
            __typename?: "User";
            email?: string;
        };
        organization?: {
            __typename?: "Organization";
            id: string;
        };
    }>, import("@apollo/client").MutationResult<{
        createOne: import("../../..").ModelWithId;
    }>];
    get useUpdateProductEmail(): (mainOptions?: import("../core").CacheUpdateOptions<ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").UpdateOneEventLabelSessionMutation, import("../API").Exact<{
        input: import("../API").UpdateOneEventLabelSessionInput;
    }>>>>) => [({ id, ...input }: Partial<Record<"children" | "externalIDs" | "recordOwners" | "segments" | "organizations" | "signals" | "forms" | "eventLabelSessions" | "meetings" | "notes" | "responses" | "queuedAutomations" | "savedViews" | "dynamicHTMLTemplates" | "emailAlerts" | "internalCalls" | "ticketsCreateds" | "ticketsOwneds", import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<Admin>, import("../../..").ModelWithId>> & import("../API").EventLabelSessionInput & {
        id: string;
    }, options?: import("../core").CacheUpdateOptions<ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").UpdateOneEventLabelSessionMutation, import("../API").Exact<{
        input: import("../API").UpdateOneEventLabelSessionInput;
    }>>>>) => Promise<Record<string, unknown>>, import("@apollo/client").MutationResult<{
        updateOne: Record<string, unknown>;
    }>];
    get useDeleteProductEmail(): (options?: ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").DeleteOneEventLabelSessionMutation, import("../API").Exact<{
        input: import("../API").DeleteOneEventLabelSessionInput;
    }>>>) => [(id?: string) => Promise<{
        __typename?: "EventLabelSessionDeleteResponse";
        id?: string;
    }>, import("@apollo/client").MutationResult<import("../API").DeleteOneEventLabelSessionMutation>];
    get addChildAdmins(): (options?: import("../core").CacheUpdateOptions<ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").AddChildAdminsToParentAdminMutation, import("../API").Exact<{
        childIDs: string | string[];
        organizationId: string;
        parentId: string;
    }>>>>) => import("@apollo/client").MutationTuple<{
        [key: string]: any;
    }, {
        [key: string]: any;
    }, import("@apollo/client").DefaultContext, import("@apollo/client").ApolloCache<any>>;
    getAccountsWithRecentScoreChange(options: ServiceQueryOptions<typeof GetAccountRecentScoreHistoriesDocument>): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAccountRecentScoreHistoriesQuery>>;
    getAccountsWithUpcomingRenewalSimple(options: ServiceQueryOptions<typeof GetAdminAccountsWithUpcomingRenewalSimpleDocument>): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminAccountsWithUpcomingRenewalSimpleQuery>>;
    getAccountsWithRecentScoreChangeSimple(options: ServiceQueryOptions<typeof GetAccountRecentScoreHistoriesSimpleDocument>): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAccountRecentScoreHistoriesSimpleQuery>>;
    getAccountsWithUpcomingRenewal(options: ServiceQueryOptions<typeof GetAdminAccountsWithUpcomingRenewalDocument>): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminAccountsWithUpcomingRenewalQuery>>;
    getNrrBYAdmin(options: ServiceQueryOptions<typeof GetAdminAccountAverageNrrDocument>): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminAccountAverageNrrQuery>>;
    getAccountCounts(adminID: string): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminAccountsCountAndRevenueQuery>>;
    getChildrenIds(adminID: string): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminsForMyTeamQuery>>;
    getAdminDirectReportAndAccountsCount(adminID: string): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminDirectReportAndAccountsCountQuery>>;
    getAdminOnLogin(): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminOnLoginQuery>>;
    getAdminOnPublish(): Promise<import("@apollo/client").ApolloQueryResult<import("../API").GetAdminOnPublishQuery>>;
}
